From virtualenv, pip freeze > requirements.txt give TONES of garbage! How to trim it out?

I'm following this tutorial: http://devcenter.heroku.com/articles/django At some point I'm suposed to do: pip freeze > requirements.txt (Ofc. from virtualenv created instance of python) And I...

Django AttributeError: 'str' object has no attribute '_default_manager'

The following error seems to occur randomly on my live server (i.e. through apache mod_wsgi) but never in development (i.e. localhost python manage.py runserver). Note this happens infrequently...

"import babel.dates" gets me permission denied

In python, when I run import babel.dates I get a permission denied: Python 2.7.5+ (default, Jun 5 2013, 10:40:07) [GCC 4.8.1] on linux2 Type "help", "copyright", "credits" or "license" for more...

Running Django in Virtualenv on EC2 -- ImportError: No module named django.core.management

I developed a django application locally, in a git repo. I launched an EC2 instance for the project and I set up a virtualenv with (what I believe to be) the correct packages/dependencies. I then...

pyvenv-3.4 pip freeze showing multiple packages in new environment

I am using pyvenv-3.4 on Ubuntu 12.04 and just created my first virtual environment. After activating i checked to see that no packages had been installed using pip freeze and found the following...

nosetests: error: no such option: --with-holmium on ubuntu 12.04

I came across an issue especially on ubuntu 12.04 [email protected]:~$ nosetests --with-holmium /usr/local/lib/python2.7/dist-packages/nose/plugins/manager.py:395: RuntimeWarning: Unable to load...

New Packages are being installed in system wide python version even when I have activated the local virtualenv environment

I have made all inline comments to make my situation clear. I am trying to create a local virtual python enviroment but no luck.I use -- no site packages but still get system wide packages being...

readthedocs app won't start with apache and django

Im trying to get readthedocs to run as an apache application. I'm following all the instructions, but ive boiled it down to this error in my apache logs. mod_wsgi (pid=2372): Target WSGI script...

Ubuntu / DigitalOcean - Unable to fetch packages to install git on a fresh install

Just started with a fresh install of Ubuntu 14.04 on my digitalocean droplet and I'm trying to install git. My first attempt failed to install some packages - [email protected]:~# sudo apt-get install...

Make/install Python 2.7.6 over 2.7.3 on Ubuntu 12.04 VM, can't find pip installed packages

My Ubuntu 12.04.5 LTS VM already had Python 2.7.3 in /usr/bin: $ ls -ld /usr/bin/py* -rwxr-xr-x 1 root root 4124 Jun 18 2013 /usr/bin/pyclean -rwxr-xr-x 1 root root 11933 Jun 18 2013...

Python Dropbox API Error

I'm getting the error "ImportError: No module named packages.urllib3.poolmanager" when I try to use the "dropbox" package from pip install, and I have listed my pip installed packages here as...

How to update pip3 to its latest version in Ubuntu 18.04?

I get this error when running $ pip3 install -U pip Requirement already up-to-date: pip in ./dlenv/lib/python3.6/site-packages (10.0.1) launchpadlib 1.10.6 requires testresources, which is not...

Why do Python plots look so different on different remote machine?

I have a python script that produces a plot, and I run it on a remote machine. The panels and font in the plot are perfectly proportioned, and look as I want them to. I have recently run the...

Python pip find out basic requirements from output of pip freeze

My friend just started learning Python and Flask, and is missing a lot of "best practices", e.g., a requirements.txt file. He has recently asked me for assistance, and to make the project clean, I...

pip3 requirements.txt full of garbage

I'm currently running Ubuntu 18.04 and whenever I do pip3 freeze > requirement.txt I get the following huge list. From my research, it seems as though the dependencies for certain installations...

Spyder 2.2.5 is giving "You should import from qtconsole instead.", ShimWarning

my issue, spyder 2.2.5 stopped running any code. first of all, I have wanted to install ipywidgets but I can't because of python 2.7.6. I updated python 2.7.6 to 2.7.12, then installed ...

Missing tkinter package on ubuntu 18.04

This python script has a problem with tkinter but I don't know how to fix it as tkinter is installed, searched on the web but didn't find anything useful [email protected]:~$ python3 predict.py...

Segmentation fault with tensorboard 1.14

I am using deeplab network. I think it is using tensorflow 1.14 since there are still packages of slim, which is removed from tensorflow 2.0. The python version is always Python 3.6.8 in my...

Uninstall all Python packages in Ubuntu 18.04 having multiple python versions

When I type python and hit tab the following packages are shown python python3 python3.6m python3m python2 python3.6 python3.6m-config ...

During deploying Django blog on heroku showes me errors

When I deploy app in heroku show me this error remote: ERROR: Could not find a version that satisfies the requirement apturl==0.5.2 (from -r...

no django file in the site packages

**Traceback (most recent call last): File "manage.py", line 15, in <module> execute_from_command_line(sys.argv) File...

Could not find a version that satysfies the requirement pytz

i have Linux Ubuntu 18.04. I need to install Django offline on this machine. I had some problems with pip and python, but i guess i solved it. So, i download asgiref, sqlparse and pytz for...

Python: TypeError: required field "type_ignores" missing from Module in Jupyter notebook

I have been having issues with my jupyter notebook for a few days. I didn't fix them at the time but have decided to now. Earlier whenever I executed anything in the jupyter notebook, It showed a...

How to fix a problem that "apt-get install" doesn't work because of python issue

I'm using Ubuntu 16.04.I'd like to install a ROS related package with "apt-get install", but it doesn't work. Terminal said like following. $ sudo apt-get install ros-kinetic-libuvc Reading...

Ansible ansible.builtin.url module "Name does not resolve" error

I am trying to use the ansible.builtin.url module to fetch the contents of a remote file on my remote server. I am using one of the examples in the official documentation page of the module, but...

Python package 'six' brakes apt commands

I am running ubuntu 20.04.01 and have recently started working with python. One of the projects I am working on required me to install six, which is a Python 2 and 3 compatibility library. pip...

Segmentation fault (core dumped) on training the deep neural network /torch/cuda/__init__.py", line 172 in _lazy_init

python3 -q -X faulthandler test.py --model.backbone=resnet18 2021-02-07 20:14:21.198583: I tensorflow/stream_executor/platform/default/dso_loader.cc:49] Successfully opened dynamic library...

Error when running executable generated by pyinstaller [pyvisa-py]

I'm trying to build an executable from a simple python script using pyvisa-py but I'm running into error after I run the executable generated by pyinstaller. Here what my small python code looks...

Im trying to build mediapipe on my jetson nano

So Im trying to build a mediapipe whl file for my jetson nano by following this guide https://github.com/jiuqiant/mediapipe_python_aarch64 I am successful on building it with my raspberry pi 4. By...

pip install py-find-1st fails on ubuntu20 & centos with python3.9

This is my process. I start a new aws t2.micro ec2 on ubuntu20 and run this script sudo apt-get update sudo apt-get install gcc sudo apt-get install python3.9 sudo apt-get install...